Subject: NAPI-ized tulip patch against 2.4.20-rc1

From: Ben Greear <[email-masked]>
Date: Tue, 05 Nov 2002 22:36:11 -0800

Here is a patch that makes Tulip support NAPI.  The vast bulk of these
changes come from Robert Olsson's ftp site, I just pieced them together.

It works good on my 4-port Tulip NICs, better than the default
driver at least (no, I never tried the old HW-Mitigation option).

This patch will also make use of Robert's skb-recycle patch if it's
been applied, but through #ifdef magic, it should also work w/out
that....

Enjoy,
Ben

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear